(function(exports) {
    var signAPI = {
		//签约管理列表
		signList: function(data) {
			return httpRequest.get("doctor/sign/sign_info", {data: data})
		},
		//获取签约数据
		signCount:function(data){
			return httpRequest.get("doctor/sign/sign_info_count", {data: data})
		},
		// 是否全部提醒关注
		isRemainFocus: function(data) {
			return httpRequest.post("doctor/sign/is_remind_focus_all", {data: data})
		},
		// 是否全部提醒缴费
		isRemainMoney: function(data) {
			return httpRequest.post("doctor/sign/is_remind_expenses_all", {data: data})
		},
		// 提醒关注
		remainFocus: function(data) {
			return httpRequest.post("doctor/family_contract/wechat_focus_remind", {data: data})
		},
		// 提醒缴费
		remainMoney: function(data) {
			return httpRequest.post("doctor/family_contract/expenses_remind", {data: data})
		},
		// 获取申请签约信息
		signing: function(data) {
			return httpRequest.post("doctor/family_contract/patient_signing", {data: data})
		},
		// 获取续签信息
		signOuttime: function(data) {
			return httpRequest.post("doctor/family_contract/patient_signing_outtime", {data: data})
		},
		// 医生下的团队
		teamLimit: function(data) {
			return httpRequest.get("doctor/admin-teams/team/" + data.doctorId + "/teamsLimit", {data: data})
		},
		// 公共字典
		getDictByDictName: function(data) {
			return httpRequest.get("common/getDictByDictName", {data:data})
		},
		// 居民标签
		patientLabel: function(data) {
			return httpRequest.post("doctor/patient_label_info/patient_label", {data: data})
		},
		// 服务标签
		getSigndict: function(data) {
			return httpRequest.get("doctor/sign/getSigndict")
		},
		// 团队成员
		teamMember: function(data) {
			return httpRequest.get("doctor/admin-teams/" + data.teamId + "/members", {data: data})
		},
		signRenew: function(data) {
			return httpRequest.post("doctor/sign/agreeRenew", {data: data})
		},
		// 签约消息处理
		sign: function(data) {
			return httpRequest.post("doctor/family_contract/sign", {data: data})
		},
		// 个人签约记录
		patientSign: function(data) {
			return httpRequest.post("doctor/patient_group/patient", {data: data})
		},
		// 居民所在的团队
		patientTeam: function(data) {
			return httpRequest.get("doctor/admin-teams/team/members/" + data.code, {data: data})
		},
		// 修改居民签约信息
		saveChange: function(data) {
			return httpRequest.post("doctor/family_contract/sign_info_update", {data: data})
		},
		// 按类型获取居民签约上传的凭证doctor/sign/findPatientCertificateByType
		findPatientCertificateByType: function(data) {
			return httpRequest.get("doctor/sign/findPatientCertificateByType", {data: data})
		},
		// 获取签约居民的所以凭证doctor/sign/findPatientCertificate
		findPatientCertificate: function(data) {
			return httpRequest.get("doctor/sign/findPatientCertificate", {data: data})
		},
		// 获取当前签约的服务类型doctor/sign/findPatientSignServerBySignCode
		findPatientSignServerBySignCode: function(data) {
			return httpRequest.get("doctor/sign/findPatientSignServerBySignCode", {data: data})
		},
		getPatient: function(data) {
			return httpRequest.post("doctor/patient_label_info/patient",{data:data})
		},
		//获取家庭医生签约信息
		patientLabel: function(data) {
			return httpRequest.get("doctor/patient_label_info/patient_label",{data:data})
		},
		//获取患者服务类型
		getSigndict: function(data) {
			return httpRequest.get("doctor/sign/getSigndict",{data:data})
		},
		//获取健康状况/疾病类型/团队标签等
		allLabels: function(data) {
			return httpRequest.get("doctor/patient_label/all_labels",{data:data})
		},
		//保存标签修改信息
		updateSignServerByCode: function(data) {
			return httpRequest.post("doctor/sign/updateSignServerByCode",{data:data})
		},
//		添加团队标签
		addTeamLabel: function(data) {
			return httpRequest.post("doctor/patient_label/add/teams",{data:data})
		},
		findMsgId: function(data) {
			return httpRequest.post("/doctor/message/find", {data: data})
		},
		getTeamNameByTeamCode: function(data) {
			return httpRequest.get("/doctor/sign/getTeamNameByTeamCode", {data: data})
		}
	}
    exports.signAPI = signAPI;
})(window)